package com.hotent.surveyinfo.manager;

import com.hotent.surveyinfo.model.CostSurveyTemplateHeaders;
import com.hotent.base.manager.BaseManager;

import java.util.List;

/**
 * 成本调查表头子表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostSurveyTemplateHeadersManager extends BaseManager<CostSurveyTemplateHeaders> {
	/**
	 * 根据主键获取详情
	 *
	 * @param id
	 * @return
	 */
	CostSurveyTemplateHeaders getDetail(String id);

	/**
	 * 新建、更新成本调查表头子表
	 *
	 * @param costSurveyTemplateHeaders
	 * @return
	 */
	void createOrUpdate(CostSurveyTemplateHeaders costSurveyTemplateHeaders);


	/**
	 * 批量新增成本调查表头子表数据
	 *
	 * @param costSurveyTemplateHeadersList
	 */
	void batchCreate(List<CostSurveyTemplateHeaders> costSurveyTemplateHeadersList);


	List<CostSurveyTemplateHeaders> listBySurveyTemplateId(String surveyTemplateId);
	List<CostSurveyTemplateHeaders> listVisibleBySurveyTemplateIdAndVersion(String surveyTemplateId, String versionId);
}
